package com.miaxis.common.enums;

import com.miaxis.common.utils.file.MimeTypeUtils;

/**
 *
 * @author chenjian
 */
public enum FileUploadTypeEnum
{

    OTHERS(99, "others", MimeTypeUtils.DEFAULT_ALLOWED_EXTENSION, "其他文件");

    private final Integer code;
    private final String fileType;//文件类型
    private final String[] suffix;//后缀
    private final String info;

    FileUploadTypeEnum(Integer code, String fileType, String[] suffix, String info)
    {
        this.code = code;
        this.fileType = fileType;
        this.suffix = suffix;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public String getFileType()
    {
        return this.fileType;
    }

    public String[] getSuffix()
    {
        return suffix;
    }
}
